package com.jeesharp.business.modules.pay.paypufaconfig.service;

import com.jeesharp.business.modules.pay.paypufaconfig.entity.PayPufaConfig;
import com.jeesharp.business.modules.pay.paypufaconfig.vo.PayPufaConfigQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

/**
 * 浦发配置领域服务接口。
 *
 * @author jeesharp
 * @since 2026-05-25
 */
public interface PayPufaConfigService extends BaseInterface<PayPufaConfig, PayPufaConfigQueryVO> {

    PayPufaConfig findActive(String tenantId);

    PayPufaConfig findByConfigCode(String configCode, String tenantId);

    PayPufaConfig findByChannelConfigId(String channelConfigId);

    void disableOtherActiveExcept(String tenantId, String keepId);
}
